package state51::Logger::Event::Billable::TrackDelivered;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event::Billable';

has [
    qw/
      requesting_org_name
      product_title
      product_artist
      dp_tla
      external_id
      track_title
      isrc
      label_name
      /
] => (
    is       => 'ro',
    required => 0,
    isa      => Str
);

has [
    qw/
      requesting_org_id
      product_upc
      request_export_id
      dp_id
      batch_id
      volume_part
      track_number
      /
] => (
    is       => 'ro',
    required => 0,
    isa      => Num
);

has [
    qw/
      date
      /
] => (
    is       => 'ro',
    isa      => 'DateTime',
    required => 0
);

__PACKAGE__->meta->make_immutable;
