package state51::Logger::Event::Billable::TrackRipped;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event::Billable';

has [
    qw/
      product_upc
      volume_part
      track_number
      isrc
      label_name
      has_video
      /
] => (
    is       => 'ro',
    required => 0,
    isa      => Num
);

has [
    qw/
      asset_controller_id
      asset_owner_id
      /
] => (
    is       => 'ro',
    required => 0,
    isa      => Num
);

has [
    qw/
      asset_controller_name
      asset_owner_name
      /
] => (
    is       => 'ro',
    isa      => Str,
    required => 0
);

has [
    qw/
      product_title
      track_title
      label_name
      isrc
      /
] => (
    is       => 'ro',
    isa      => Str,
    required => 0
);

has [
    qw/
      date
      /
] => (
    is       => 'ro',
    isa      => 'DateTime',
    required => 0
);

__PACKAGE__->meta->make_immutable;
