package state51::Logger::Event::Bounce;
use Moose;
use MooseX::Types::Moose qw/ Int Str /;

extends 'state51::Logger::Event';

has email => (
    isa => Str,
    is => 'ro',
    required => 1,
);

has score => (
    isa => Int,
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{User "%s" - score: %s},
    attributes => [qw/ email score /],
};

__PACKAGE__->meta->make_immutable;
1;

