package state51::Logger::Event::CephRead;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Ceph';

has time_elapsed => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

has size => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ceph access from %s of %s took %.6f in total and read %d bytes.},
    attributes => [qw/ hostname key time_elapsed size /],
};

__PACKAGE__->meta->make_immutable;
1;

