package state51::Logger::Event::CephWriteFail;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Ceph';

has bytes_sent => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has total_bytes => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has time_elapsed => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ceph access from %s of %s failed after %.6f, %d out of %d bytes were transferred.},
    attributes => [qw/ hostname key time_elapsed bytes_sent total_bytes /],
};

__PACKAGE__->meta->make_immutable;
1;

