package state51::Logger::Event::Contract;
use Moose;
use MooseX::Types::Moose qw/ Str HashRef /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has contract_id => ( isa => Str, required => 1, is => 'ro' );
has user_id     => ( isa => Str, required => 1, is => 'ro' );
has before      => ( isa => HashRef, required => 0, is => 'ro' );
has after       => ( isa => HashRef, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Contract ID: %d modified by %s"},
    attributes    => [qw/ contract_id user_id /],
};

__PACKAGE__->meta->make_immutable;
