package state51::Logger::Event::Contract::ErpIdUpdated;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Contract';

has platform_org_id => ( isa => Str, required => 0, is => 'ro' );
has erp_id_from => ( isa => Str, required => 0, is => 'ro' );
has erp_id_to   => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Platform Org ID: %d, updated with erp_id from '%s' to '%s' by %s"},
    attributes    => [qw/ platform_org_id erp_id_from erp_id_to user_id /],
};

__PACKAGE__->meta->make_immutable;
