package state51::Logger::Event::ExportBatchUploadFailed;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::ExportBatchUpload';

has duration => (
    is => 'ro',
    isa => Num,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Export of batch %d failed after %f seconds},
    attributes => [qw/ batch duration /],
};

__PACKAGE__->meta->make_immutable;

