package state51::Logger::Event::FileServe;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::WebHit';

has [qw/
    type file_id asset_controller_id remote_addr referrer date
/] => ( is => 'ro', required => 1 );

has [qw/
    filekey_id
/] => ( is => 'ro', default => 0 );

around append_routing_key => sub {
    my ($orig, $self, @args) = @_;
    my $str = $self->$orig(@args);
    $str .= "." . lc($self->type);
    return $str;
};

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s SERVE: %s id %s for %s to %s (referer %s) in %ss, did %s queries"},
    attributes => [qw/ date type file_id asset_controller_id remote_addr referrer time queries /],
};

__PACKAGE__->meta->make_immutable;
1;

