package state51::Logger::Event::Greedbag::MailCustomer;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Num Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.mailcustomer' }

has order_no => (
    is => 'ro',
    isa => Int,
);

has email_to => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has retailer_id => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has subject => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has message => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{MailCustomer to %s from %s},
    attributes => [qw/ email_to retailer_name /],
};

__PACKAGE__->meta->make_immutable;
1;

