package state51::Logger::Event::Greedbag::ProductLive;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.productlive' }

has [qw/ name retailer_name uri retailer_id/] => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{New from %s: %s at %s},
    attributes => [qw/ retailer_name name uri /],
};

__PACKAGE__->meta->make_immutable;
1;

