package state51::Logger::Event::ImportFeed::ProblemBatch;;
use Moose;
use MooseX::Types::Moose qw/ Num Int Str /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

has dir => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
        format_string => q{Batch dir %s is marked as a problem, please fix},
        attributes    => [qw/ dir /],
    },
    'state51::Log::Message::Structured';

__PACKAGE__->meta->make_immutable;
1;

