package state51::Logger::Event::ImportFormatCreated;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use namespace::autoclean;

has [qw / track_count release_format_id barcode asset_owner asset_controller /] => (
    is       => 'ro',
    isa      => Num,
    required => 1
);

has [qw / asset_owner_name asset_controller_name /] => (
    is       => 'ro',
    isa      => Str,
    required => 1
);

extends 'state51::Logger::Event';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Release format created - %d},
    attributes    => [qw/ release_format_id /],
};

__PACKAGE__->meta->make_immutable;
