package state51::Logger::Event::MailService::ManagementTool::Mailout;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

has mailout_id => ( isa => Num, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) %s mailout (%d) of mailservice %s (%s)},
    attributes    => [qw/username role_id action mailout_id mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
