package state51::Logger::Event::MailoutOpened;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has retailer_id => (
    is => 'ro',
    isa => Num,
    required => 0,
);

has role_id => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has mailout_id => (
    is => 'ro',
    isa => Num,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Mailout %s to %s from %s was opened},
    attributes => [qw/ mailout_id role_id retailer_name /],
};

__PACKAGE__->meta->make_immutable;
1;