package state51::Logger::Event::MogileRead;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Mogile';

has first_block_time => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

has complete_time => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

has size => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has downloader => (
    isa => enum([qw/ platform reproxy /]),
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile access from %s by %s to %s took %.6f for the first byte, %.6f in total and read %d bytes.},
    attributes => [qw/ hostname downloader url first_block_time complete_time size /],
};

__PACKAGE__->meta->make_immutable;
1;

