package state51::Logger::Event::MogileWrite;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

sub suppress_console_display { 1 }

with 'state51::Logger::Event::Role::Mogile';

has total_bytes => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has connect_time => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

has time_elapsed => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

has client => (
    isa => enum([qw/ callback async /]), # async not logging yet, though.
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile access from %s by %s to %s took %.6f for the connect, and took %.6f to transfer %d bytes.},
    attributes => [qw/ hostname client url connect_time time_elapsed total_bytes /],
};

__PACKAGE__->meta->make_immutable;
1;

