package state51::Logger::Event::PasswordReset;
use Moose;
use MooseX::Types::Moose qw/Int Str/;
use MooseX::ClassAttribute;
use namespace::autoclean;

extends 'state51::Logger::Event';

class_has documentation => (
    is  => 'ro',
    isa => Str,
    default =>
      'Emitted when a role sucessfully sets a new password.',
);

has 'role_id' => (
    isa      => Int,
    is       => 'rw',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Role with id %d has set a new password},
    attributes =>
      [qw/ role_id /],
};

__PACKAGE__->meta->make_immutable;

