package state51::Logger::Event::Role::ExportBatchUpload;
use Moose::Role;
use MooseX::Types::Moose qw/ Str Int Maybe /;

has bytes => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has protocol => (
    isa => Maybe[Str],
    is  => 'ro',
);

has dest_hostname => (
    isa => Maybe[Str],
    is  => 'ro',
);

has port => (
    isa => Maybe[Int],
    is => 'ro',
);

has tla => (
    isa => Str,
    is  => 'ro',
    required => 1,
);

has batch => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has request => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has raised_by_org_name => (
    isa => Str,
    is => 'ro',
    required => 1
);

has raised_by_org_id => (
    isa => Int,
    is => 'ro',
    required => 1
);

1;
