package state51::Logger::Event::ScriptStart;
use Moose;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event';

has 'name' => (
    is => 'ro',
    default => sub {
        my $name = $0;
        $name = "oneliner" if $name eq '-e';
        $name =~ s!^.*/!!;
        $name;
    },
);

has user => (
    is => 'ro',
    default => sub {
        my ($uid) = getpwuid($<);
        return $uid;
    },
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Script %s running},
    attributes => [qw/ name /],
};

__PACKAGE__->meta->make_immutable;

