package state51::Logger::Event::SignupStateChange;
use Moose;
use MooseX::Types::Moose qw/Int Str/;
use MooseX::ClassAttribute;
use namespace::autoclean;

extends 'state51::Logger::Event';

class_has documentation => (
    is  => 'ro',
    isa => Str,
    default =>
      'Emitted when a new signup has moved to a new state.',
);

has 'current_value' => (
    isa      => 'Str',
    is       => 'rw',
    required => 1,
);

has 'organisation_id' => (
    isa      => 'Int',
    is       => 'rw',
    required => 1,
);

has 'role_id' => (
    isa      => 'Int',
    is       => 'rw',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Signup for org id %d and role id %d has moved to state %s},
    attributes =>
      [qw/ organisation_id role_id current_value /],
};

__PACKAGE__->meta->make_immutable;

