package state51::Logger::Event::Task::Failed;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Task';

with 'state51::Logger::Event::Role::JobExecution';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Task %s failed},
    attributes => [qw/ task_id /],
};

has 'reason_for_failure' => (
    is => 'rw',
    isa => 'Str',
    required => 1,
    documentation => 'The final exception that was raised in the traceback when the task failed.',
);

__PACKAGE__->meta->make_immutable;

