package state51::Logger::Event::Unicorn::FailedRaiseInvoice;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event::Unicorn';

has '+reportfile'   => ( required => 0 );
has payment_event   => ( isa      => Num, required => 1, is => 'ro' );
has platform_org_id => ( isa      => Num, required => 1, is => 'ro' );
has openerp_org_id  => ( isa      => Num, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string =>
      qq{Failed to raise invoice for payment_event: %d, platform_org_id: %d, openerp_org_id: %d},
    attributes => [qw/ payment_event platform_org_id openerp_org_id/],
};

__PACKAGE__->meta->make_immutable;
