use strict;
use warnings;

use Test::More;
use Test::Exception;

use_ok 'state51::Logger::Event::Generic';
use_ok 'state51::Logger::Event::FileServe';
use_ok 'state51::Logger::Event::Greedbag';
use_ok 'state51::Logger::Event::Greedbag::ProductLive';
use_ok 'state51::Logger::Event::Greedbag::Purchase';
use_ok 'state51::Logger::Event::APIHit';
use_ok 'state51::Logger::Event::ScriptRun';
use_ok 'state51::Logger::Event::MogileRead';
use_ok 'state51::Logger::Event::Login';
use_ok 'state51::Logger::Event::Hit::Put';
use_ok 'state51::Logger::Event::MogileWriteFail';
use_ok 'state51::Logger::Event::MailoutRun';
use_ok 'state51::Logger::Event::Billable::TrackDelivered';
use_ok 'state51::Logger::Event::Billable::TrackRipped';
use_ok 'state51::Logger::Event::Billable::EncodeCreated';
use_ok 'state51::Logger::Event::MogileFail';
use_ok 'state51::Logger::Event::Billable';
use_ok 'state51::Logger::Event::ScriptStart';
use_ok 'state51::Logger::Event::MogileWrite';
use_ok 'state51::Logger::Event::Hit';
use_ok 'state51::Logger::Event::MySQLReplicationLag';
use_ok 'state51::Logger::Event::JobCompleted';
use_ok 'state51::Logger::Event::Greedbag::MailCustomer';
use_ok 'state51::Logger::Event::Greedbag::MailOpened';
use_ok 'state51::Logger::Event::MailService::Resubscribe';
use_ok 'state51::Logger::Event::MailoutOpened';
use_ok 'state51::Logger::Event::CephRead';
use_ok 'state51::Logger::Event::CephWrite';
use_ok 'state51::Logger::Event::CephFail';
use_ok 'state51::Logger::Event::CephWriteFail';

{
    my $i = state51::Logger::Event::MySQLReplicationLag->new(lag => 3);
    is "$i", "Replication lag is 3s";
}

lives_ok {
    state51::Logger::Event::JobCompleted->new( duration => 1, job => bless({}, 'Foo::Bar') );
};

done_testing;

